﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Input;

namespace Qnomad.PresentationModel
{
    /// <summary>
    /// An actionable item displayed in the user-interface.
    /// </summary>
    public class CommandPM : DelegateCommand
    {
		public CommandPM( string displayName, Action<object> execute, Predicate<object> canExecute = null )
			: base( execute, canExecute )
		{
			DisplayName = displayName;
		}

		/// <summary>
		/// The user-friendly name of this object.
		/// </summary>
		public string DisplayName { get; private set; }
	}
}
