﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows.Input;

namespace Qnomad.PresentationModel
{
	public class DialogPM
	{
		public string Text { get; private set; }
		public string Caption { get; private set; }
		public ReadOnlyCollection<CommandPM> Buttons { get; private set; }

		public DialogPM( string text, string caption, IList<CommandPM> buttons )
		{
			Text = text;
			Caption = caption;
			Buttons = new ReadOnlyCollection<CommandPM>( buttons );
		}

		public static string Okay = "Okay";
		public static string Cancel = "Cancel";
		public static string Yes = "Yes";
		public static string No = "No";
	}
}
