﻿using System;

namespace Qnomad.PresentationModel
{
	public class SelectionChangedEventArgs<DMType, PMType> : EventArgs
		where DMType : class
		where PMType : HierarchicalPM<DMType, PMType>
	{
		public PMType NewSelection { get; private set; }

		public SelectionChangedEventArgs( PMType newSelection )
		{
			NewSelection = newSelection;
		}
	}
}
